Auto Multiple Choice - Feature # 383: Semi-automatic reconciliation of missing/duplicate answers

Status: Closed Priority: Normal

Author: Carl Michal Category:

Created: 09/20/2015 Assignee:

Updated: 02/02/2016 Due date:

Description: One feature | think would help in using AMC for large classes is to assist a little more in resolving data capturg
problems.
What I'm thinking is of enhancing the Manual data capture window with information from the marking/report
stages. In the ods reports, cells are highlighted to indicate missing and duplicate answers. I'd like to see the
Manual Data Capture window use this same information by implementing "Next Error" and "Previous Error"
buttons to allow the user to jump rapidly between pages where there are missing or duplicate answers. This
would dramatically speed up finding and correcting these kinds of errors in large classes.
Pressing "Next Error" would jump to the next page where a duplicate or missing answer was located. It would
show the scan image and allow for manual selection of the answer that the student intended to select. In that
way, correcting such an error would take just two clicks.
The buttons could be greyed out if the marking hadn't yet been done.
Bonus points if the answer boxes in question are highlighted on the scan image!

History

09/29/2015 02:11 am - Carl Michal
- File add_assisted_conflict_resolution5.patch added

| made an attempt at adding this feature to the gui. | am a complete novice when it comes to perl, and this is likely quite obvious from the code.

After applying this patch, a couple of new buttons are added to the Manual Scan window. After 'Marking,' you can now go back to the manual scan

window and jump through all the questions

where the 'why' code is V or E. Answers can then be filled in by hand (mouse) if the student's intention was obvious. All answers associated with the

question are highlighted in green boxes.

A couple of runs here with large classes shows this really speeds up tracking down issues in the response sheets.

The patch applies cleanly to 1.2.1 in the AMC-perl/AMC directory.

10/05/2015 10:45 am - Alexis Bienveniie
Thanks for your suggestion and patch.

| tried to highlight these boxes with commit:5ccfd744ba0c.

| think we have to make a difference between V and E, because E is always an error, but in some cases a lot of students don't check any boxes for a

question, because they don't know the answer at all (and perhaps some negative scores can be obtained for very bad answers, so a random answer is

not a good thing).

Can you adapt your patch to the development version (mercurial repository)?

10/05/2015 07:29 pm - Carl Michal

Thanks for the feedback!
| suppose one could have a preference setting to choose which of E and V are highlighted? | actually prefer it the way it is, | want to find all instances

where there are too many or too few responses and verify the student's intention. Even if you expect some V's, | would want to check that its not just a

response that is too light to be detected.

I will try to update to apply to the current development version.

It will probably be a couple of weeks till | can get back to this.

10/05/2015 09:47 pm - Carl Michal
- File add_assisted_conflict_resolution6.patch added

Adapting to the current development version was actually very quick. It turns out that some of what | did to draw boxes around the missing/duplicate

answers was already done in the development version, but in a more robust way, so this patch is a little smaller.

No work done on preferences - that's a bit out of scope for me.

10/29/2015 02:13 pm - Alexis Bienveniie
Thanks for the patch: integrated with commit commit:841ac79b2862.

02/02/2016 07:30 am - Alexis Bienveniie

- Target version set to 1.3.0

- % Done changed from 0 to 100

- Status changed from New to Closed

Files

add_assisted_conflict_resolution5.patch 14.3 kB 09/29/2015 Carl Michal

add_assisted_conflict_resolution6.patch 13 kB 10/05/2015 Carl Michal
